<?xml version="1.0" encoding="UTF-8"?>
<DeployScript><Scripts><KScript><id>2FA4bXrp</id><number>fr_dynamicobjshowlist</number><cmb_ftype></cmb_ftype><scripttype>3</scripttype><context><![CDATA[require("kd.bos.list.ListColumn");
require("kd.bos.filter.FilterColumn");
require("kd.bos.mvc.list.ListDataProvider");
require("kd.bos.mvc.form.FormView");
/**
* @author wenqin_Wei(复用费用组kingdee.fi.em.mainpage.er_dynamicobjshowlist)
* @date 2020-07-13
*/
var plugin = new ListPlugin({
    beforeCreateListColumns: function(e) {
        var lsp = this.getView().getFormShowParameter();
        var listColumns = lsp.getCustomParam("showFields");
        var columns = e.getListColumns();
        columns.clear();
        var dt = EntityMetadataCache.getDataEntityType(this.getEntityKey());
        var allFields = dt.getAllFields();
        for (var i = 0; i < listColumns.size(); i++) {
            var field = listColumns.get(i);
            var split = field.split(".");
            if (allFields.containsKey(split[0])) {
                var property = allFields.get(split[0]);
                //以上代码都是为了获取下面这个字段显示名称
                var columnDisplayName = property.getDisplayName().getLocaleValue();
                columns.add(this.createListColumn(field, columnDisplayName, i + 1));
            }
        }
    },
    createListColumn: function(key, columnDisplayName, colIndex) {
        var col = new ListColumn();
        col.setCaption(new LocaleString(columnDisplayName));
        col.setKey(key);
        col.setListFieldKey(key);
        col.setFieldName(key);
        col.setSeq(colIndex);
        col.setVisible(11);
        return col;
    },
    filterContainerInit:function(e){
        var fastFilterColumns = e.getFastFilterColumns();
        fastFilterColumns.removeAll(fastFilterColumns);
        var lsp = this.getView().getFormShowParameter();
        var listColumns = lsp.getCustomParam("showFields");
         var dt = EntityMetadataCache.getDataEntityType(this.getEntityKey());
        var allFields = dt.getAllFields();
        for (var i = 0; i < listColumns.size(); i++) {
            var field = listColumns.get(i);
            var split = field.split(".");
            if (allFields.containsKey(split[0]) && !field.equals("isdefault_bank") && !field.equals("isdefaultrec")) {
                var property = allFields.get(split[0]);
                //以上代码都是为了获取下面这个字段显示名称
                var columnDisplayName = property.getDisplayName().getLocaleValue();
                var filterColumn = this.createFilterColumn(field, columnDisplayName);
                 e.addFilterColumn(filterColumn);
            }
        }
    },
     createFilterColumn: function(key, columnDisplayName) {
        var col = new FilterColumn(key);
        col.setCaption(new LocaleString(columnDisplayName));
        return col;
    },
    getEntityKey: function() {
        var entity = this.getView().getFormShowParameter().getCustomParam("entity");
        return entity;
    },
    getEntryKey: function() {
        var entity = this.getView().getFormShowParameter().getCustomParam("entry");
        return entity;
    },
    isEntryMain: function() {
        var entity = this.getView().getFormShowParameter().getCustomParam("isEntryMain");
        return entity;
    }
});]]></context><bizappid>0XINV40+SS9N</bizappid><bizunitid>0XIO52DQ7C2X</bizunitid><scriptname>动态显示银行账号信息列表</scriptname><creater_id>13466739</creater_id><createdate>1594625317000</createdate><modifydate>1594625450000</modifydate><modifier_id>13466739</modifier_id><isv>kingdee</isv><classname>kingdee.fi.fr.glreim.fr_dynamicobjshowlist</classname></KScript></Scripts><BOSVersion>1.0</BOSVersion></DeployScript>