﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FR_constraint.sql **/
 EXEC P_ALTERPK 'PK_FR_MANUAL_AUTOFILL', 'T_FR_MANUAL_AUTOFILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FR_MAN_AUTOFILL_FOUAID') CREATE INDEX IDX_FR_MAN_AUTOFILL_FOUAID ON T_FR_MANUAL_AUTOFILL ( FORGID ,FUSERID ,FACCOUNTBOOKID );


 EXEC P_ALTERPK 'PK_FR_MAN_AUTOFILL_ENTRY', 'T_FR_MAN_AUTOFILL_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FR_MANAUTOFILL_ENTRY_FID') CREATE INDEX IDX_FR_MANAUTOFILL_ENTRY_FID ON T_FR_MAN_AUTOFILL_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_FR_MANUAL_TPLGROUP', 'T_FR_MANUAL_TPLGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FR_MAN_TPLGRP_FNAME') CREATE INDEX IDX_FR_MAN_TPLGRP_FNAME ON T_FR_MANUAL_TPLGROUP ( FNAME );


 EXEC P_ALTERPK 'PK_FR_MANUAL_TPLGROUP_L', 'T_FR_MANUAL_TPLGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FR_MANTPLGROUPL_FIDLID') CREATE INDEX IDX_FR_MANTPLGROUPL_FIDLID ON T_FR_MANUAL_TPLGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_FR_MANUAL_CFGFIELDS', 'T_FR_MANUAL_CFGFIELDS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FR_MAN_CFGFIELDS_FNUM') CREATE INDEX IDX_FR_MAN_CFGFIELDS_FNUM ON T_FR_MANUAL_CFGFIELDS ( FNUMBER );


 EXEC P_ALTERPK 'PK_FR_MANUAL_CFGFIELDS_L', 'T_FR_MANUAL_CFGFIELDS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FR_MANCFGFIELDSL_FIDLID') CREATE INDEX IDX_FR_MANCFGFIELDSL_FIDLID ON T_FR_MANUAL_CFGFIELDS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_FR_MANMAINASSGRP_ENTRY', 'T_FR_MANMAINASSGRP_ENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FR_MANMAINASSGRPE_FEID') CREATE INDEX IDX_FR_MANMAINASSGRPE_FEID ON T_FR_MANMAINASSGRP_ENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_FR_MANASSGRP_ENTRY', 'T_FR_MANASSGRP_ENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FR_MANASSGRPE_FENTRYID') CREATE INDEX IDX_FR_MANASSGRPE_FENTRYID ON T_FR_MANASSGRP_ENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_FR_MANUALTPL_ENTRY', 'T_FR_MANUALTPL_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FR_MANUALTPLENTRY_FID') CREATE INDEX IDX_FR_MANUALTPLENTRY_FID ON T_FR_MANUALTPL_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_FR_MANUAL_TPL', 'T_FR_MANUAL_TPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FR_MANUALTPL_FNUMBER') CREATE INDEX IDX_FR_MANUALTPL_FNUMBER ON T_FR_MANUAL_TPL ( FNUMBER );


 EXEC P_ALTERPK 'PK_FR_MANUAL_TPL_L', 'T_FR_MANUAL_TPL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FR_MANUALTPLL_FIDLID') CREATE INDEX IDX_FR_MANUALTPLL_FIDLID ON T_FR_MANUAL_TPL_L ( FID ,FLOCALEID );



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FR_constraint.sql **/
