﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANUAL_AUTOFILL') 
 CREATE TABLE T_FR_MANUAL_AUTOFILL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBOOKID BIGINT DEFAULT 0 NOT NULL,
FSYNCAFTERMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FTAKEBASEINFO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MAN_AUTOFILL_ENTRY') 
 CREATE TABLE T_FR_MAN_AUTOFILL_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDID BIGINT DEFAULT 0 NOT NULL,
FTAKELASTROW CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANUAL_TPLGROUP') 
 CREATE TABLE T_FR_MANUAL_TPLGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(500) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANUAL_TPLGROUP_L') 
 CREATE TABLE T_FR_MANUAL_TPLGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANUAL_CFGFIELDS') 
 CREATE TABLE T_FR_MANUAL_CFGFIELDS (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FDISPLAYSEQ INT DEFAULT 1 NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FTAKELASTROW CHAR(1) DEFAULT '0' NOT NULL,
FSYNCAFTERMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FTAKEBASEINFO CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANUAL_CFGFIELDS_L') 
 CREATE TABLE T_FR_MANUAL_CFGFIELDS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANMAINASSGRP_ENTRY') 
 CREATE TABLE T_FR_MANMAINASSGRP_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMAINFIELDNAMEID BIGINT DEFAULT 0 NOT NULL,
FMAINVALUE BIGINT DEFAULT 0 NOT NULL,
FMAINTXTVAL VARCHAR(2000) DEFAULT ' ' NOT NULL,
FMAINVALUESSTR VARCHAR(1024) DEFAULT ' ' NOT NULL,
FMAINISREQUIRE CHAR(1) DEFAULT '0' NOT NULL,
FMAINNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANASSGRP_ENTRY') 
 CREATE TABLE T_FR_MANASSGRP_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDNAMEID BIGINT DEFAULT 0 NOT NULL,
FVALUE BIGINT DEFAULT 0 NOT NULL,
FVALUENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FTXTVAL VARCHAR(2000) DEFAULT ' ' NOT NULL,
FVALUESSTR VARCHAR(1024) DEFAULT ' ' NOT NULL,
FISREQUIRE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANUALTPL_ENTRY') 
 CREATE TABLE T_FR_MANUALTPL_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTALLYABSTRACT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNT BIGINT DEFAULT 0 NOT NULL,
FASSGRPDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FQUANTITIES DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCUSCURRENCY BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE BIGINT DEFAULT 0 NOT NULL,
FRATEDATE DATETIME,
FORIAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTALLYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANSTANAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINCFITEM BIGINT DEFAULT 0 NOT NULL,
FMAINCFASSGRP VARCHAR(2000) DEFAULT ' ' NOT NULL,
FMAINCFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FCUSTOMER BIGINT DEFAULT 0 NOT NULL,
FSTAFF BIGINT DEFAULT 0 NOT NULL,
FASSETCLASS BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FRELATEDBILL VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANUAL_TPL') 
 CREATE TABLE T_FR_MANUAL_TPL (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FPRICEBACKCAL CHAR(1) DEFAULT '0' NOT NULL,
FEXRATEBACKCAL CHAR(1) DEFAULT '0' NOT NULL,
FORIBACKCAL CHAR(1) DEFAULT '0' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLIERPOSITION NVARCHAR(64) DEFAULT ' ' NOT NULL,
FAPPLIER BIGINT DEFAULT 0 NOT NULL,
FTALLYCOMPANY BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBOOK BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FBIZDATE DATETIME,
FBOOKDATE DATETIME,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDETAILTYPE BIGINT DEFAULT 0 NOT NULL,
FVOUCHERTYPE BIGINT DEFAULT 0 NOT NULL,
FHRELATEBILL VARCHAR(50) DEFAULT ' ' NOT NULL,
FHRELATEBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FISMULTICURRENCY CHAR(1) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FABSTRACT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(600) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANUAL_TPL_L') 
 CREATE TABLE T_FR_MANUAL_TPL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAPPLIERPOSITION NVARCHAR(64) DEFAULT ' ' NOT NULL
);



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FR_table.sql **/
