﻿/**Begin C:\Users\rd_xiang_qiu\Desktop\svn-brower\PDM规范\PDM_UPGRADE\pdm1\DHC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_GLRASSOAPPLY') 
 CREATE TABLE T_FR_GLRASSOAPPLY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FASSOREIMBILLNUM VARCHAR(80) DEFAULT ' ' NOT NULL,
FAPPLIER BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE_AA DATETIME,
FREIMAMOUNT_AA DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCONTRACTNUM_AA VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FCUSTOMER BIGINT DEFAULT 0 NOT NULL,
FASSOREIMBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTITYNUM VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_GLRPAYBILL') 
 CREATE TABLE T_FR_GLRPAYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FNEXTAUDITOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGORG BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FDEPT BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FBIZDATE DATETIME,
FTALLYDATE DATETIME,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FLOCALCURRENCY BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXCHANGERATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FATTACHMENTNUM INT DEFAULT 0 NOT NULL,
FSETTLETYPE BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPAYEETYPE VARCHAR(16) DEFAULT ' ' NOT NULL,
FPAYEE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYEEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYEEACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_GLRPAYPLAN') 
 CREATE TABLE T_FR_GLRPAYPLAN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPE_PP BIGINT DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREMARK_PP NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_GLRPAYTALLYDETAIL') 
 CREATE TABLE T_FR_GLRPAYTALLYDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBIZDETAILTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE_T DATETIME,
FDEPT_T BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTER BIGINT DEFAULT 0 NOT NULL,
FTALLYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCONTRACTNUM_T VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_GLRRECBILL') 
 CREATE TABLE T_FR_GLRRECBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS NCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCOMPANYID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FTALLYDATE DATETIME,
FTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FCURRENCYFIELD NVARCHAR(36) DEFAULT ' ' NOT NULL,
FEXRATETABLE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FEXCHANGERATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FLOCALCURRENCY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FACCOUNTINGORG NVARCHAR(36) DEFAULT ' ' NOT NULL,
FAPPLYDATE DATETIME,
FDEPT NVARCHAR(36) DEFAULT ' ' NOT NULL,
RECAMOUNTSUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSTANDARDRECAMOUNTSUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FVOUCHERID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FRECEIPTER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FRECEIPTERACCOUNT NVARCHAR(36) DEFAULT ' ' NOT NULL,
FRECEIPTERBANK NVARCHAR(36) DEFAULT ' ' NOT NULL,
FIMAGENUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FATTACHMENTNUM INT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_GLRRECCAVENTRY') 
 CREATE TABLE T_FR_GLRRECCAVENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSOURCEBILLNO VARCHAR(36) DEFAULT ' ' NOT NULL,
FCBIZTYPEDETAIL NVARCHAR(36) DEFAULT ' ' NOT NULL,
FCBUSINESSDATE DATETIME,
FCRECEIPTER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FCRECEIPTERTYPE NCHAR(1) DEFAULT ' ' NOT NULL,
FPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSTANDARDPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCCAVAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCCAVROUTEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCAVUNPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCAVPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCEENTRYID VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_GLRRECSETTLEENTRY') 
 CREATE TABLE T_FR_GLRRECSETTLEENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETTLEMENTTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FPAYERTYPE NCHAR(1) DEFAULT ' ' NOT NULL,
FSUPPLIER VARCHAR(36) DEFAULT ' ' NOT NULL,
FCUSTOMER VARCHAR(36) DEFAULT ' ' NOT NULL,
FCASORG VARCHAR(36) DEFAULT ' ' NOT NULL,
FPAYER VARCHAR(36) DEFAULT ' ' NOT NULL,
FPAYERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYERACCOUNT NVARCHAR(36) DEFAULT ' ' NOT NULL,
FPAYERBANK NVARCHAR(36) DEFAULT ' ' NOT NULL,
FRECAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_GLRRECTALLYENTRY') 
 CREATE TABLE T_FR_GLRRECTALLYENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTBIZTYPEDETAIL VARCHAR(36) DEFAULT ' ' NOT NULL,
FTBUSINESSDATE DATETIME,
FTALLYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSTANDARDTALLYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDEPARTMENT VARCHAR(36) DEFAULT ' ' NOT NULL,
FTCOSTCENTER VARCHAR(36) DEFAULT ' ' NOT NULL,
FTREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTALLYVOUCHERID NVARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANUTALBILL') 
 CREATE TABLE T_FR_MANUTALBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS NCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FBOOKDATE DATETIME,
FTALLYCOMPANY BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBOOK BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISMULTICURRENCY CHAR(1) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAPPLIER BIGINT DEFAULT 0 NOT NULL,
FAPPLIERPOSITION NVARCHAR(64) DEFAULT ' ' NOT NULL,
FBIZDETAILTYPE BIGINT DEFAULT 0 NOT NULL,
FWRITEOFF NVARCHAR(9) DEFAULT ' ' NOT NULL,
FNEXTAUDITOR NVARCHAR(64) DEFAULT ' ' NOT NULL,
FAPPENDIXNUM INT DEFAULT 0 NOT NULL,
FIMAGENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANUTALENTRY') 
 CREATE TABLE T_FR_MANUTALENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCUSCURRENCY BIGINT DEFAULT 0 NOT NULL,
FEXRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTALLYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSTANDARDAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACCOUNT BIGINT DEFAULT 0 NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FCUSTOMER BIGINT DEFAULT 0 NOT NULL,
FSTAFF BIGINT DEFAULT 0 NOT NULL,
FASSETCLASS BIGINT DEFAULT 0 NOT NULL,
FRATEDATE DATETIME,
FEXCHANGERATE BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASEPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FLOANAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOANSTANAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_MANUTALBILL_L') 
 CREATE TABLE T_FR_MANUTALBILL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPLIERPOSITION NVARCHAR(64) DEFAULT ' ' NOT NULL
);



/**End C:\Users\rd_xiang_qiu\Desktop\svn-brower\PDM规范\PDM_UPGRADE\pdm1\DHC_table.sql **/
