﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_AMORTASSGRPENTRY') 
 CREATE TABLE T_FR_AMORTASSGRPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDNAMEID BIGINT DEFAULT 0 NOT NULL,
FVALUE BIGINT DEFAULT 0 NOT NULL,
FTXTVAL VARCHAR(2000) DEFAULT ' ' NOT NULL,
FVALUESSTR VARCHAR(1024) DEFAULT ' ' NOT NULL,
FISREQUIRE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_AMORTMAINASSGRPENTRY') 
 CREATE TABLE T_FR_AMORTMAINASSGRPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMAINFIELDNAMEID BIGINT DEFAULT 0 NOT NULL,
FMAINVALUE BIGINT DEFAULT 0 NOT NULL,
FMAINTXTVAL VARCHAR(2000) DEFAULT ' ' NOT NULL,
FMAINVALUESSTR VARCHAR(1024) DEFAULT ' ' NOT NULL,
FMAINISREQUIRE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FR_MANUTALBILL' AND KSQL_COL_NAME ='FPERIOD') 
 ALTER TABLE T_FR_MANUTALBILL ADD (FPERIOD BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FR_MANUTALBILL' AND KSQL_COL_NAME ='FVOUCHERTYPE') 
 ALTER TABLE T_FR_MANUTALBILL ADD (FVOUCHERTYPE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FR_MANUTALENTRY' AND KSQL_COL_NAME ='FENTRYID') 
 ALTER TABLE T_FR_MANUTALENTRY ADD (FENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FR_MANUTALENTRY' AND KSQL_COL_NAME ='FASSGRPDESC') 
 ALTER TABLE T_FR_MANUTALENTRY ADD (FASSGRPDESC VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FR_MANUTALENTRY' AND KSQL_COL_NAME ='FEXPIREDATE') 
 ALTER TABLE T_FR_MANUTALENTRY ADD (FEXPIREDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FR_MANUTALENTRY' AND KSQL_COL_NAME ='FMAINCFITEM') 
 ALTER TABLE T_FR_MANUTALENTRY ADD (FMAINCFITEM BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FR_MANUTALENTRY' AND KSQL_COL_NAME ='FMAINCFASSGRP') 
 ALTER TABLE T_FR_MANUTALENTRY ADD (FMAINCFASSGRP VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FR_MANUTALENTRY' AND KSQL_COL_NAME ='FMAINCFAMOUNT') 
 ALTER TABLE T_FR_MANUTALENTRY ADD (FMAINCFAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FR_table.sql **/
